Subject: [Cellar] FFV1 registration in MP4reg

From: Dave Rice <[email-masked]>
Date: Thu, 17 Mar 2022 15:11:45 -0400

Hi everyone,

The MP4 registry has been updated to list FFV1, see https://mp4ra.org/#/codecs. This happened after RFC 9043 was finalized so section 4.3.3.2 of RFC 9043, which documents containment of FFV1 in ISOBMFF, doesn’t list that FFV1 is the codec identifier to use. Since the MP4 Registry now officially lists FFV1 and links to https://datatracker.ietf.org/doc/rfc9043/, how should we proceed? I checked and see that the working group doesn’t have any errata posted, but is there any guidance on how to refer the new ISOBMFF codec identifier?

Dave Rice